/// Files: kernel/trace/trace_event_perf.c
/// Fix: 12ae030d54ef250706da5642fc7697cc60ad0df7
/// Fixes: ced39002f5ea736b716ae233fb68b26d59783912

virtual detect

@err exists@
identifier tp_event;
position p;
@@

perf_trace_event_perm(struct ftrace_event_call *tp_event, ...)
{
	...
	if (ftrace_event_is_function(tp_event) &&
*	    perf_paranoid_kernel@p() &&
	    !capable(CAP_SYS_ADMIN))
		return -EPERM;
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2013-2930')
