/// Files: security/selinux/ss/services.c
/// Fix: 2172fa709ab32ca60e86179dc67d0857be8e2c98
/// Fixes: v2.6.12-rc2

virtual detect

@err exists@
identifier scontext_len;
position p;
@@

\(security_context_to_sid\|security_context_to_sid_core\)(..., u32 scontext_len, ...)
{
	... when != if (!scontext_len) return -EINVAL;
(
*	kmalloc@p(scontext_len + 1, ...)
|
*	kmemdup_nul@p(..., scontext_len, ...)
)
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2014-1874')
