/// Files: net/ipv4/ping.c
/// Fix: a134f083e79fb4c3d0a925691e732c56911b4326
/// Fixes: c319b4d76b9e583a5d88d6bf190e079c4e43213d

virtual detect

@err exists@
identifier sk;
position p;
@@

\(ping_unhash\|ping_v4_unhash\)(struct sock *sk)
{
	...
*	if (sk_hashed@p(sk)) {
		...
		hlist_nulls_del(&sk->sk_nulls_node);
		... when != sk_nulls_node_init(&sk->sk_nulls_node);
	}
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2015-3636')
