/// Files: fs/ext4/ext4_jbd2.c fs/jbd2/transaction.c
/// Fix: 6934da9238da947628be83635e365df41064b09b
/// Detect-To: 9d506594069355d1fb2de3f9104667312ff08ed3

virtual detect

@free_handle exists@
//identifier handle;
//typedef handle_t; cocci 1.04 doesn't support typedefs
position p;
@@

//jbd2_journal_stop(handle_t *handle)
jbd2_journal_stop(...)
{
	...
*	jbd2_free_handle@p(handle);
	...
}

@err depends on free_handle exists@
//typedef handle_t;
//identifier handle;
identifier err, h_err;
position p;
@@

//__ext4_journal_stop(..., handle_t *handle)
__ext4_journal_stop(...)
{
	...
	if (!handle->h_transaction) {
*		err = jbd2_journal_stop@p(handle);
		...
*		handle->h_err
		...
	}
	...
}

@script:python depends on detect@
pj << free_handle.p;
pe << err.p;
@@

coccilib.report.print_report(pe[0], 'ERROR: CVE-2015-8961')
coccilib.report.print_report(pj[0], 'ERROR: CVE-2015-8961')
