/// Files: net/ipv4/udp.c net/ipv6/udp.c
/// Fix: a612769774a30e4fc143c4cb6395c12573415660
/// Fixes: e6afc8ace6dd5cef5e812f26c72579da8806f5ac

virtual detect

@err_udp_queue_rcv_skb exists@
identifier sk, skb;
statement S;
position p;
@@

udp_queue_rcv_skb(struct sock *sk, struct sk_buff *skb)
{
	...
*	if (sk_filter@p(sk, skb))
		S
	... when != skb->len < sizeof(struct udphdr)
*	udp_csum_pull_header(skb);
	...
}

@err_udpv6_queue_rcv_skb exists@
identifier sk, skb;
statement S;
position p;
@@

udpv6_queue_rcv_skb(struct sock *sk, struct sk_buff *skb)
{
	...
*	if (sk_filter@p(sk, skb))
		S
	... when != skb->len < sizeof(struct udphdr)
*	udp_csum_pull_header(skb);
	...
}

@script:python depends on detect@
p << err_udp_queue_rcv_skb.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2016-6162')

@script:python depends on detect@
p << err_udpv6_queue_rcv_skb.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2016-6162')
