/// Files: include/linux/nl80211.h include/uapi/linux/nl80211.h net/wireless/nl80211.c
/// Fix: e785fa0a164aa11001cba931367c7f94ffaff888
/// Fixes: e5497d766adb92bcbd1fa4a147e188f84f34b20a

virtual detect

@nl80211_rekey_data@
@@

* enum nl80211_rekey_data {
	...,
	NL80211_REKEY_DATA_REPLAY_CTR,
	...
};

@fix exists@
identifier tb;
@@

nl80211_set_rekey_data(...)
{
	...
*	if (!tb[NL80211_REKEY_DATA_REPLAY_CTR] || !tb[NL80211_REKEY_DATA_KEK] ||
*	    !tb[NL80211_REKEY_DATA_KCK])
*		return -EINVAL;
	...
}


@err depends on nl80211_rekey_data && !fix exists@
position p;
@@

* nl80211_set_rekey_data@p(...)
{
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2017-12153')
