/// Files: mm/hugetlb.c
/// Fix: 1e3921471354244f70fe268586ff94a97a6dd4df
/// Fixes: 8fb5debc5fcd450470cdd789c2d80ef95ebb8cf4
/// Version: 1.1.0

virtual detect

@fix exists@
identifier size, mapping, h, idx, err_lbl;
@@

hugetlb_mcopy_atomic_pte(...)
{
	... when any
	size = i_size_read(mapping->host) >> huge_page_shift(h);
	...
	if (idx >= size)
		goto err_lbl;
	... when any
}

@err depends on !fix exists@
position p;
@@

* hugetlb_mcopy_atomic_pte@p(...)
{
	...
	update_mmu_cache(...);
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2017-15128')
