/// Files: drivers/tty/n_hdlc.c
/// Fix: 82f2341c94d270421f383641b7cd670e474db56b
/// Fixes: be10eb7589337e5defbe214dae038a53dd21add8

virtual detect

@err_n_hdlc_send_frames exists@
identifier n_hdlc, tbuf;
position p;
@@

n_hdlc_send_frames(...)
{
	... 
*	n_hdlc_buf_put@p(&n_hdlc->tx_free_buf_list, tbuf);
	...
}

@err_n_hdlc_release exists@
identifier buf, n_hdlc;
statement S;
position p;
@@

n_hdlc_release(struct n_hdlc *n_hdlc)
{
	...
	buf = n_hdlc_buf_get(&n_hdlc->tx_free_buf_list);
	if (buf) {
*		kfree@p(buf);
	} else S
	...
}

@err_flush_tx_queue depends on err_n_hdlc_send_frames && err_n_hdlc_release exists@
identifier n_hdlc;
position p;
@@

flush_tx_queue(...)
{
	...
*	n_hdlc_buf_put@p(&n_hdlc->tx_free_buf_list, n_hdlc->tbuf);
	...
}

@script:python depends on detect@
p << err_flush_tx_queue.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2017-2636')
