/// Files: net/ipv4/ping.c
/// Fix: 43a6684519ab0a6c52024b5e25322476cabad893
/// Fixes: c319b4d76b9e583a5d88d6bf190e079c4e43213d

virtual detect

@err@
identifier sk, ping_table;
position p;
@@

\(ping_unhash\|ping_v4_unhash\)(struct sock *sk)
{
	... when != write_lock_bh(&ping_table.lock);
	if (sk_hashed(sk)) {
		...
*		write_lock_bh@p(&ping_table.lock);
		...
*		write_unlock_bh(&ping_table.lock);
		...
	}
	... when != write_unlock_bh(&ping_table.lock);
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2017-2671')
