/// Files: fs/ext4/extents.c
/// Fix: bc890a60247171294acc0bd67d211fa4b88d40ba
/// Fixes: a86c61812637c7dd0c57e29880cffd477b62f2e7

virtual detect

@err exists@
identifier depth, inode;
position p;
@@

\(ext4_ext_find_extent\|ext4_find_extent\)(struct inode *inode, ...)
{
	...
*	depth =@p ext_depth(inode)
	... when != if (depth < 0 || depth > EXT4_MAX_EXTENT_DEPTH) { ... goto err; }
	\(kmalloc\|kzalloc\)(sizeof(struct ext4_ext_path) * (depth + 2), ...)
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2018-10877')
