/// Files: drivers/block/floppy.c
/// Fix: f3554aeb991214cbfafd17d55e2bfddb50282e32
/// Fixes: v2.6.12-rc2

virtual detect

@err_setup_format_params exists@
expression E;
position p;
@@

setup_format_params(...)
{
	... when != if (!raw_cmd->cmd[F_SECT_PER_TRACK]) return;
	    when != if (!F_SECT_PER_TRACK) return;
( 
*	E %@p raw_cmd->cmd[F_SECT_PER_TRACK]
|
*	E %@p F_SECT_PER_TRACK
)
	...
}

@err_set_geometry exists@
identifier g;
position p;
@@

* set_geometry@p(..., struct floppy_struct *g, ...)
{
	... when != if (... || (unsigned char)((g->sect << 2) >> FD_SIZECODE(g)) == 0 || ...) return -EINVAL;
}

@script:python depends on detect@
p << err_setup_format_params.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2019-14284')

@script:python depends on detect@
p << err_set_geometry.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2019-14284')
