/// Files: arch/powerpc/kernel/process.c
/// Fix: a8318c13e79badb92bc6640704a64cc022a6eb97
/// Fixes: a7771176b4392fbc3a17399c51a8c11f2f681afe

virtual detect

@err_restore_fp exists@
identifier tsk;
position p;
@@

restore_fp(struct task_struct *tsk)
{
	...
*	if (tsk->thread.load_fp || tm_active_with_fp@p(tsk)) {
		...
	}
	...
}

@err_restore_altivec exists@
identifier tsk;
position p;
@@

restore_altivec(struct task_struct *tsk)
{
	...
	if (cpu_has_feature(CPU_FTR_ALTIVEC) &&
*		(tsk->thread.load_vec || tm_active_with_altivec@p(tsk))) {
	}
	...
}

@script:python depends on detect@
p << err_restore_fp.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2019-15031')

@script:python depends on detect@
p << err_restore_altivec.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2019-15031')
