/// Files: net/wireless/nl80211.c include/linux/nl80211.h include/uapi/linux/nl80211.h
/// Fix: f88eb7c0d002a67ef31aeb7850b42ff69abc46dc
/// Fixes: ed1b6cc7f80f831e192704b05b9917f9cc37be15

virtual detect

@enum_status_code@
@@

enum nl80211_attrs {
        ...,
*       NL80211_ATTR_BEACON_HEAD,
        ...
};

@fix exists@
identifier attrs;
@@

nl80211_parse_beacon(struct nlattr *attrs[], ...)
{
	...
	if (attrs[NL80211_ATTR_BEACON_HEAD]) {
		...
		validate_beacon_head(attrs[NL80211_ATTR_BEACON_HEAD], ...)
		...
	}
	...
}

@err depends on enum_status_code && !fix exists@
position p;
@@

struct nla_policy nl80211_policy[...] = {
	...,
*	[NL80211_ATTR_BEACON_HEAD] =@p {
*		.type = NLA_BINARY,
*		.len = IEEE80211_MAX_DATA_LEN
*	},
	...
};

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2019-16746')
