/// Files: drivers/infiniband/hw/hns/hns_roce_main.c include/uapi/rdma/hns-abi.h drivers/infiniband/hw/hns/hns_roce_user.h
/// Fix: df7e40425813c50cd252e6f5e348a81ef1acae56
/// Fixes: e088a685eae94a0607b8f7b99949a0e14d748813

virtual detect

@struct_fields@
identifier reserved;
typedef __u32;
position p;
@@

struct hns_roce_ib_alloc_ucontext_resp {
	__u32 qp_tab_size;
	...
*	__u32 reserved;@p
	...
};

@err depends on struct_fields disable decl_init exists@
identifier resp;
position p;
@@

hns_roce_alloc_ucontext(...)
{
	...
*	struct hns_roce_ib_alloc_ucontext_resp resp;@p
	... when != memset(&resp, 0, \(sizeof(resp)\|sizeof(struct hns_roce_ib_alloc_ucontext_resp)\))
	    when != memzero_explicit(&resp, \(sizeof(resp)\|sizeof(struct hns_roce_ib_alloc_ucontext_resp)\))
	ib_copy_to_udata(..., &resp, ...)
	...
}

@script:python depends on detect@
ps << struct_fields.p;
pf << err.p;
@@

coccilib.report.print_report(pf[0], 'ERROR: CVE-2019-16921')
coccilib.report.print_report(ps[0], 'ERROR: CVE-2019-16921')
