/// Files: kernel/trace/blktrace.c
/// Fix: bad8e64fb19d3a0de5e564d9a7271c31bd684369
/// Fixes: 6ac93117ab009d3901ed5d3d0f79056eb5fc0afd

virtual detect

@err exists@
identifier dir, bt;
position p;
@@

do_blk_trace_setup(...) {
	... when any
*	dir = debugfs_lookup(..., blk_debugfs_root);
*	if (!dir)@p
*		bt->dir = dir = debugfs_create_dir(..., blk_debugfs_root);
	... when any
err:
	...
*	if (dir && !bt->dir)
*		dput(dir);
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2019-19770')
