/// Files: fs/exec.c fs/kernel_read_file.c
/// Fix: f612acfae86af7ecad754ae6a46019be9da05b8e
/// Fixes: 39d637af5aa7577f655c58b9e55587566c63a0af

virtual detect

@err exists@
identifier bytes, buf, allocated;
position p;
@@

kernel_read_file(struct file *file, ..., void **buf, ...)
{
	...
	*buf = vmalloc(...);
	...
	bytes = kernel_read(file, ...);
	if (bytes < 0) {
		...
*		goto out;@p
	}
	...
out_free:
	...
	vfree(*buf);
	...
out:
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2019-8980')
