/// Files: drivers/android/binder.c
/// Fix: f3277cbfba763cd2826396521b9296de67cf1bbc
/// Detect-To: 72196393a5e3d28c21679e3b745c06dd4a5b24c9
/// TODO: seems like 72196393a5e3d28c21 is not a real cause.

virtual detect

@enum_work_done@
identifier type;
@@

struct binder_work {
	...
(
	enum {
		...,
*		BINDER_WORK_NODE,
		...
	} type;
|
	enum binder_work_type {
		...,
*		BINDER_WORK_NODE,
		...
	} type;
)
	...
}

@fix exists@
@@

binder_release_work(...)
{
	... when any
	switch (...) {
		case BINDER_WORK_NODE: ... break;
	}
	... when any
}

@nofix depends on !fix exists@
identifier proc, list;
position p;
@@

* binder_release_work@p(struct binder_proc *proc, struct list_head *list)
{
	...
}

@err exists@
identifier proc, list, w, type;
position p;
@@

binder_release_work(struct binder_proc *proc, struct list_head *list)
{
	...
*	w = binder_dequeue_work_head(proc, list);
	...
*	w->type@p
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2020-0423')

@script:python depends on detect@
p << nofix.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2020-0423')
