/// Files: drivers/hid/hid-input.c drivers/hid/hid-multitouch.c include/linux/hid.h
/// Fix: 35556bed836f8dc07ac55f69c8d17dce3e7f0e25
/// Detect-To: 022e8c4d08b3b06361594b60412db0242035c4b4

// Todo: look at map_abs|map_rel|... before 022e8c4d

virtual detect

@hid_map_usage exists@
@@

hid_map_usage(...)
{
	... when != if (unlikely(c > limit || !bmap || ...)) { ... *bit = NULL; ... return; }
}

@err_hidinput_configure_usage depends on hid_map_usage exists@
position p;
@@

hidinput_configure_usage(...)
{
	...
* mapped:@p
	... when != if (!bit) return;
}

@err_mt_touch_input_mapping depends on hid_map_usage exists@
identifier bit, code;
position p;
@@

mt_touch_input_mapping(..., unsigned long **bit, ...)
{
	...
	code = ...;
	...
*	hid_map_usage(..., bit, ..., code);@p
	... when != if (!*bit) return -1;
}

@script:python depends on detect@
p << err_hidinput_configure_usage.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2020-0465')

@script:python depends on detect@
p << err_mt_touch_input_mapping.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2020-0465')
