/// Files: fs/xfs/libxfs/xfs_attr_leaf.c fs/xfs/libxfs/xfs_da_format.h
/// Fix: f4020438fab05364018c91f7e02ebdd192085933
/// Fixes: 1e1bbd8e7ee0624034e9bf1e91ac11a7aaa2f8a6

virtual detect

@nameval1@
identifier list;
typedef uint8_t;
@@

typedef struct xfs_attr_shortform {
	...
	struct xfs_attr_sf_entry {
		...
*		uint8_t nameval[1];
	} list[1];
} xfs_attr_shortform_t;

@err depends on nameval1 exists@
identifier sfep, endp;
position p;
@@

xfs_attr_shortform_verify(...)
{
	...
	struct xfs_attr_sf_entry        *sfep;
	...
	char                            *endp;
	...
*	if (((char *)sfep + sizeof(*sfep)) >=@p endp)
		return __this_address;
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2020-14385')
