/// Files: net/nfc/llcp_sock.c net/nfc/llcp/sock.c
/// Fix: c33b1cc62ac05c1dbb1cdafe2eb66da01c76ca8d
/// Fixes: c7aa12252f5142b9eee2f6e34ca8870a8e7e048c

virtual detect

@err1 exists@
identifier llcp_sock, put_dev;
position p;
@@

llcp_sock_bind(...)
{
	...
*	llcp_sock->local = nfc_llcp_local_get(...);
	...
	if (!llcp_sock->service_name) {
		... when != nfc_llcp_local_put(llcp_sock->local);
*		goto put_dev;@p
	}
	...
}

@err2 exists@
identifier llcp_sock, put_dev;
position p;
@@

llcp_sock_bind(...)
{
	...
*	llcp_sock->local = nfc_llcp_local_get(...);
	...
	if (llcp_sock->ssap == \(LLCP_SAP_MAX\|LLCP_MAX_SAP\)) {
		...when != nfc_llcp_local_put(llcp_sock->local);
		goto put_dev;@p
	}
	...
}

@script:python depends on detect@
p << err1.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2020-25670')

@script:python depends on detect@
p << err2.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2020-25670')
