/// Files: mm/mmap.c mm/mremap.c
/// Fix: dcde237319e626d1ec3c9d8b7613032f0fd4663a
/// Fixes: ce18d171cb7368557e6498a3ce111d7d3dc03e4d

virtual detect

@err_syscall_brk exists@
identifier mm;
symbol brk;
position p;
@@

*	brk =@p untagged_addr(brk);
	...
	mm->brk = brk;

@err_ksys_mmap_pgoff exists@
identifier addr;
position p;
@@

ksys_mmap_pgoff(unsigned long addr, ...)
{
	...
*	addr =@p untagged_addr(addr);
	...
	addr
	...
}

@err_syscall_mremap exists@
symbol addr, new_addr;
position p;
@@

	addr = untagged_addr(addr);
*	new_addr =@p untagged_addr(new_addr);

@script:python depends on detect@
p << err_syscall_brk.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2020-9391')

@script:python depends on detect@
p << err_ksys_mmap_pgoff.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2020-9391')

@script:python depends on detect@
p << err_syscall_mremap.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2020-9391')
