/// Files: net/unix/af_unix.c
/// Fix: fa0dc04df259ba2df3ce1920e9690c7842f8fa4b
/// Detect-To: v2.6.12-rc2

virtual detect

@err exists@
identifier err, out;
position p;
@@

\(unix_stream_read_generic\|unix_stream_recvmsg\)(...)
{
	...
	if (signal_pending(current) || ...) {
		err = sock_intr_errno(...);
		... when != scm_destroy(...);
		goto out;@p
	}
	...
}

@script:python depends on detect@
p << err.p;
@@

coccilib.report.print_report(p[0], 'ERROR: CVE-2021-20265')
